Subject: How to set up two Alpine diskless systems on one computer?

From: Paul Suh <[email-masked]>
Date: Sat, 24 Feb 2024 19:25:19 +0000

Folks, 

I’ve used Alpine off and on for some time, but mostly in containers. 

I am attempting to create a small system that has two bootable diskless-mode Alpine Linux systems, that can be selected via the GRUB boot menu. Ideally, it would have a single drive with five partitions:

/dev/sd0a - UEFI boot
/dev/sd0b - sys1
/dev/sd0c - data1
/dev/sd0d - sys2
/dev/sd0e - data2

Each of the data partitions would hold the cached apk’s and apkovl for the corresponding sys partition. Ideally, I’d like to have the sys partitions be set up by dd’ing the install ISO images onto them for simplicity’s sake, but that’s not a requirement. 

Is this doable? I’m having trouble figuring out how to set up the UEFI boot with the various GRUB tools. I have gotten to the point that I know that I need to pass in an apkovl option on boot, but I’m feeling stuck. Info on any other options that need to be passed in as well would be good to know. 

Any assistance appreciated. 

—Paul